## org.hibernate.criterion
Class LikeExpression

    java.lang.Object
      org.hibernate.criterion.LikeExpression

All Implemented Interfaces:
  Serializable, Criterion

    public class LikeExpression

extends Object
implements Criterion

A criterion representing a "like" expression

Author:
  Scott Marlow, Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`protected` `LikeExpression(String propertyName, String value)`
`protected` `LikeExpression(String propertyName, String value, Character escapeChar, boolean ignoreCase)`
`protected` `LikeExpression(String propertyName, String value, MatchMode matchMode)`
`protected` `LikeExpression(String propertyName, String value, MatchMode matchMode, Character escapeChar, boolean ignoreCase)`

Method Summary
`TypedValue[]` `getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)` Return typed values for all parameters in the rendered SQL fragment
`String` `toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Render the SQL fragment

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LikeExpression

    protected LikeExpression(String propertyName,
                             String value,
                             Character escapeChar,
                             boolean ignoreCase)

### LikeExpression

    protected LikeExpression(String propertyName,
                             String value)

### LikeExpression

    protected LikeExpression(String propertyName,
                             String value,
                             MatchMode matchMode)

### LikeExpression

    protected LikeExpression(String propertyName,
                             String value,
                             MatchMode matchMode,
                             Character escapeChar,
                             boolean ignoreCase)

Method Detail

### toSqlString

    public String toSqlString(Criteria criteria,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Description copied from interface: `Criterion`
  Render the SQL fragment

  Specified by:
    `toSqlString` in interface `Criterion`
  Parameters:
    `criteria` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The generated SQL fragment
  Throws:
    `HibernateException` - Problem during rendering.

### getTypedValues

    public TypedValue[] getTypedValues(Criteria criteria,
                                       CriteriaQuery criteriaQuery)
                                throws HibernateException

  Description copied from interface: `Criterion`
  Return typed values for all parameters in the rendered SQL fragment

  Specified by:
    `getTypedValues` in interface `Criterion`
  Parameters:
    `criteria` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The types values (for binding)
  Throws:
    `HibernateException` - Problem determining types.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.